/*
  This file is part of Solver.

    Solver is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    Solver is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Solver. If not, see <http://www.gnu.org/licenses/>.
*/
package infra.definition;

import java.util.List;

public class CalendarWeek {
	public int start;
	public int end;
	
	public CalendarWeek(int start, int end) {
		this.start = start;
		this.end = end;
	}
	
	public static int findWeekIdx(List<CalendarWeek> weeks, int day) {
		for (int i = 0; i < weeks.size(); i++) {
			CalendarWeek week = weeks.get(i);
			if ((day >= week.start) && (day <= week.end)) {
				return i;
			}
		}
		return -1;
	}
}
