/*
  This file is part of Solver.

    Solver is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    Solver is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Solver. If not, see <http://www.gnu.org/licenses/>.
*/
package infra.definition;

import java.util.List;

public class Employee {
	private double minsPerDay;
	private String code;
	private List<LeaveOfAbsence> leaveOfAbsence;
	private List<ScheduleRequest> absenceRequest;
	private List<ScheduleRequest> workRequest;
	private Integer nightsRequest;

	public Employee(String code, 
			List<LeaveOfAbsence> leaveOfAbsence, 
			List<ScheduleRequest> absenceRequest,
			List<ScheduleRequest> workRequest,
			Integer nightsRequest) {
		this.code = code;
		this.minsPerDay = 7 * 60 + 35;
		this.leaveOfAbsence = leaveOfAbsence;
		this.absenceRequest = absenceRequest;
		this.workRequest = workRequest;
		this.nightsRequest = nightsRequest;
	}
	
	public List<LeaveOfAbsence> getLeaveOfAbsence() {
		return leaveOfAbsence;
	}
	
	public List<ScheduleRequest> getAbsenceRequest() {
		return absenceRequest;
	}
	
	public List<ScheduleRequest> getWorkRequest() {
		return workRequest;
	}

	public String getCode() {
		return code;
	}
	
	public void setMinsPerDay(double minsPerDay) {
		this.minsPerDay = minsPerDay;
	}
	
	public double getMinsPerDay() {
		return minsPerDay;
	}
	
	public Integer getNightsRequest() {
		return nightsRequest;
	}
}
