/*
  This file is part of Solver.

    Solver is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    Solver is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Solver. If not, see <http://www.gnu.org/licenses/>.
*/

package infra.definition;

public class Watch {
	public String name;
	public String code;
	
	public int minDayWatch;
	public int maxDayWatch;
	
	public int minNightWatch;
	public int maxNightWatch;
	
	public int minPartWatch;
	public int maxPartWatch;
	
	public int minDayPartWatch;
	public int maxDayPartWatch;
	
	public int min2DayPartWatch;
	public int max2DayPartWatch;
	
	public Watch(String name, String code,
			int minDayWatch, int maxDayWatch,
			int minNightWatch, int maxNightWatch,
			int minPartWatch, int maxPartWatch,
			int minDayPartWatch, int maxDayPartWatch,
			int min2DayPartWatch, int max2DayPartWatch) {
		this.name = name;
		this.code = code;
		
		this.minDayWatch = minDayWatch;
		this.maxDayWatch = maxDayWatch;
		
		this.minNightWatch = minNightWatch;
		this.maxNightWatch = maxNightWatch;
		
		this.minPartWatch = minPartWatch;
		this.maxPartWatch = maxPartWatch;
		
		this.minDayPartWatch = minDayPartWatch;
		this.maxDayPartWatch = maxDayPartWatch;
		
		this.min2DayPartWatch = min2DayPartWatch;
		this.max2DayPartWatch = max2DayPartWatch;
	}
	
	public String toString() {
		String text = "Kod '" + String.format("%2s", code) + "' : ";
		text = text + "od " + minDayWatch + " do " + maxDayWatch + " na D / ";
		text = text + "od " + minNightWatch + " do " + maxNightWatch + " na N / ";
		text = text + "od " + minPartWatch + " do " + maxPartWatch + " na R / ";
		text = text + "od " + minDayPartWatch + " do " + maxDayPartWatch + " na D+R / ";
		text = text + "od " + min2DayPartWatch + " do " + max2DayPartWatch + " na 2D+R / ";
		text = text + " (" + name + ")";
		return text;
	}
}
