/*
  This file is part of Solver.

    Solver is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    Solver is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Solver. If not, see <http://www.gnu.org/licenses/>.
*/

package infra.formulation;

public class CSPVariable {
	public int employee_number;
	public int watch_number;
	public int solution;
	
	public boolean dayWatch;
	public boolean nightWatch;
	public boolean partWatch;
	
	public CSPVariable(String variableId, String solution) {
		//variable structure: EMP_[EMPLOYEE_ID]_WATCH_[WATCH_ID]
		String[] parts = variableId.split("_");
		this.employee_number = Integer.parseInt(parts[1]) - 1;
		this.watch_number = Integer.parseInt(parts[3]) - 1;
		this.solution = Integer.parseInt(solution);
		
		dayWatch = variableId.contains("D_");
		nightWatch = variableId.contains("N_");
		partWatch = variableId.contains("R_");
	}
}
